PixAI Platform
API v2 ドキュメントメディア

アップロードした音声ファイルの登録

音声クリップのアップロードのステップ 3 です。返される id が、referenceAudioMediaIds に渡すメディア ID です。

POST
/media/audio/register

Authorization

bearerAuth
AuthorizationBearer <token>

認証が必要なすべてのリクエストでは、HTTP ヘッダーに次を追加してください

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.pixai.art/v2/media/audio/register" \  -H "Content-Type: application/json" \  -d '{    "externalId": "3f2b8c1e-6a4d-4f6e-9b1a-2c7d5e8f9a01"  }'
{
  "id": "string",
  "fileUrl": "string",
  "duration": 0,
  "size": 0,
  "codec": "string"
}
{
  "code": "string",
  "status": 0,
  "message": "string",
  "data": {},
  "defined": true
}